Debian Bug report logs - #573136
live-helper: Packageslists in config/chroot_local-packageslists are ignored

version graph

Package: live-manual; Maintainer for live-manual is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-manual is src:live-manual.

Reported by: Thomas Gebhardt <gebhardt@hrz.uni-marburg.de>

Date: Tue, 9 Mar 2010 10:39:01 UTC

Severity: normal

Fixed in version live-manual/20100301-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#573136; Package live-helper. (Tue, 09 Mar 2010 10:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Gebhardt <gebhardt@hrz.uni-marburg.de>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 09 Mar 2010 10:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Gebhardt <gebhardt@hrz.uni-marburg.de>
To: submit@bugs.debian.org
Subject: live-helper: Packageslists in config/chroot_local-packageslists are ignored
Date: Tue, 09 Mar 2010 11:27:31 +0100
Package: live-helper
Version: 2.0~a6-1
Severity: normal

*** Please type your report below this line ***
Packageslists that are configured in LH_PACKAGES_LISTS are only looked
up in /usr/share/live-helper/lists, not in
config/chroot_local-packageslists.

This behaviour is inconsistent with the item "5.1.3.2.1. Local packages
lists" of the manual.

Packageslists with the suffix ".list" in
config/chroot_local-packageslists are included correctly, though.

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.20     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-8     GNU Internationalization
utilities

Versions of packages live-helper suggests:
ii  dosfstools                    3.0.7-1    utilities for making and
checking
ii  fakeroot                      1.14.4-1   Gives a fake root environment
ii  genisoimage                   9:1.1.10-1 Creates ISO-9660 CD-ROM
filesystem
ii  grub                          0.97-59    GRand Unified Bootloader
(dummy pa
pn  memtest86+ | memtest86        <none>     (no description available)
ii  mtools                        4.0.10-1   Tools for manipulating
MSDOS files
pn  parted                        <none>     (no description available)
pn  squashfs-tools | genext2fs |  <none>     (no description available)
ii  sudo                          1.7.2p1-1  Provide limited super user
privile
pn  uuid-runtime                  <none>     (no description available)
pn  win32-loader                  <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#573136; Package live-helper. (Wed, 10 Mar 2010 14:03:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 10 Mar 2010 14:03:13 GMT) Full text and rfc822 format available.

Message #10 received at 573136@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 573136-submitter@bugs.debian.org
Cc: 573136@bugs.debian.org
Subject: Re: live-helper: Packageslists in config/chroot_local-packageslists are ignored
Date: Wed, 10 Mar 2010 14:57:53 +0100
reassign 573136 live-manual
tag 573136 pending
thanks

Hi,

if the manual contains outdated information, which is the case here, 
please submit bugs against live-manual, not against live-helper.

unrelated to that, i've updated the entry in the manual.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug reassigned from package 'live-helper' to 'live-manual'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 10 Mar 2010 14:03:17 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions live-helper/2.0~a6-1. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 10 Mar 2010 14:03:18 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 10 Mar 2010 14:03:18 GMT) Full text and rfc822 format available.

Message sent on to Thomas Gebhardt <gebhardt@hrz.uni-marburg.de>:
Bug#573136. (Wed, 10 Mar 2010 14:03:21 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 12 Mar 2010 18:15:10 GMT) Full text and rfc822 format available.

Notification sent to Thomas Gebhardt <gebhardt@hrz.uni-marburg.de>:
Bug acknowledged by developer. (Fri, 12 Mar 2010 18:15:10 GMT) Full text and rfc822 format available.

Message #24 received at 573136-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 573136-close@bugs.debian.org
Subject: Bug#573136: fixed in live-manual 20100301-1
Date: Fri, 12 Mar 2010 18:12:41 +0000
Source: live-manual
Source-Version: 20100301-1

We believe that the bug you reported is fixed in the latest version of
live-manual, which is due to be installed in the Debian FTP archive:

live-manual_20100301-1.diff.gz
  to main/l/live-manual/live-manual_20100301-1.diff.gz
live-manual_20100301-1.dsc
  to main/l/live-manual/live-manual_20100301-1.dsc
live-manual_20100301-1_all.deb
  to main/l/live-manual/live-manual_20100301-1_all.deb
live-manual_20100301.orig.tar.gz
  to main/l/live-manual/live-manual_20100301.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573136@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-manual package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 12 Mar 2010 18:37:40 +0100
Source: live-manual
Binary: live-manual
Architecture: source all
Version: 20100301-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-manual - Debian Live manual
Closes: 573136
Changes: 
 live-manual (20100301-1) unstable; urgency=low
 .
   [ Ben Armstrong ]
   * Improving explanation of chroot_local-includes.
 .
   [ intrigeri ]
   * Adding note about l-h 2.x local packageslist behaviour.
 .
   [ Daniel Baumann ]
   * Updating to standards version 3.8.4.
   * Updating homepage field in control.
   * Removing notes for etch.
   * Correcting syntax error in installation.xml.
 .
   [ Marco Amadori ]
   * Persistence: how to change filesystem labels.
 .
   [ Daniel Baumann ]
   * Replacing references to alioth with live.debian.net.
   * Updating misc deb urls.
   * Improving note about changed behaviour of local packages lists in
     live-helper 2.0 (Closes: #573136).
   * Updating contact information in copyright file.
Checksums-Sha1: 
 f7beea03281d0780708cd73857cf68dabc9ce263 1318 live-manual_20100301-1.dsc
 7d00563c0f3f3f18fb301a3a5f0093ce5d5b3dc9 144630 live-manual_20100301.orig.tar.gz
 a5969ecdcb403cdb2e309f7efd2d635a03c448f6 8324 live-manual_20100301-1.diff.gz
 85c0ace5ea8273674598effc44c87de3596a5059 398100 live-manual_20100301-1_all.deb
Checksums-Sha256: 
 0a47ef9279ee569f8e81073db07d4177909a868bcdbe7f459d5a39f12dd8d8f2 1318 live-manual_20100301-1.dsc
 fd10127c71741cfdf19fd337c8f8e82401031f445bb345fb7af1af98bb906b68 144630 live-manual_20100301.orig.tar.gz
 4e1da7531b91a35c4d829d2c1afc88c8bd8394c35af57c52ecf1d7a80ffe0b38 8324 live-manual_20100301-1.diff.gz
 1835ec91f09c73ee4eabcb38526706360cb54c3c73cf44b81a6bcd99f7bf67d3 398100 live-manual_20100301-1_all.deb
Files: 
 2102852c64c6f41cc1cadc6fc262570d 1318 doc optional live-manual_20100301-1.dsc
 b2d0d06a434e4c852fe9ee95253b8789 144630 doc optional live-manual_20100301.orig.tar.gz
 38524dd670968ffe3933011fc71fdbd4 8324 doc optional live-manual_20100301-1.diff.gz
 81faa05f42edbce7e86ba7cb7fdfce24 398100 doc optional live-manual_20100301-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkuaflUACgkQ+C5cwEsrK572nwCg42AZm556cZ0KvfvCxCNdQ9MC
avkAn3wAZZgZq8otizlhwRwnYPkXSONl
=oOO/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Apr 2010 07:34:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:57:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.